Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77763 - Not updating wvdial provider peer or wvdial config
Summary: Not updating wvdial provider peer or wvdial config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-13 07:01 UTC by Anthony Rumble
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-11 14:08:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:183 normal SHIPPED_LIVE Updated redhat-config-network package available 2003-08-11 04:00:00 UTC

Description Anthony Rumble 2002-11-13 07:01:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
redhat-config-network-1.1.20-1
If I change the provider name and number
in a PPP config, then click on "Apply", it doesn't update
/etc/wvdial.cfg
nor does it update /etc/ppp/peers/ppp0
Consequently, when I activate ppp0, it calls the old config
number.
If I remove the /etc/ppp/peers/ppp0 file, it will re-create it
with the correct provider name..

But I have to remove /etc/wvdial.conf and delete my ppp0 entry
and create the ppp0 entry again to correct the /etc/wvdial.conf file.

So, to effectively change ISP, you have to delete both files, and
the ppp0 entry from the Network configuration, and start again.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create modem/ppp0 entry
2.apply and activate.
3.deactivate and edit the ppp0 entry and change provider name and number
4. apply and activate... 
	

Actual Results:  It dials the old number

Expected Results:  It should have correctly updated the /etc/wvdial.conf and
peers/ppp0
files with the new provider settings.

Additional info:

Comment 1 Nicolas Aspert 2003-03-03 16:12:27 UTC
Same for me... although I had not tackled the /etc/ppp/peers/ppp0 removal trick
to get the correct number dialed.
I have installed phoebe's latest redhat-config-network and will try if things
get better or worse
8-)

Comment 3 Harald Hoyer 2003-08-11 14:08:08 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html



Note You need to log in before you can comment on or make changes to this bug.